meli (0.8.13+dfsg-4) unstable; urgency=medium

  * extend patch 2002_system-shared_libs;
    closes: bug#1138240, thanks to Matthias Geiger and Santiago Vila
  * add patch cherry-picked upstream
    to fix odd Debian-speciic build failure;
    closes: bug#1129191, thanks to Santiago Vila and Manos Pitsidianakis
  * update copyright info: license patches same as main upstream license

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 May 2026 13:39:06 +0200

meli (0.8.13+dfsg-3) unstable; urgency=medium

  * fix patch 2002 to use newer libgpgme

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jan 2026 20:41:48 +0100

meli (0.8.13+dfsg-2) unstable; urgency=medium

  * drop patch 2001_bitflags,
    obsoleted by Debian packaging changes
  * recommend libgpgme45 (not libgpgme11);
    closes: bug#1126303, thanks to Matthias Geiger
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * add patches 1002_*
    to use newer major version of crate termion;
    bump build-dependency for crate termion;
    closes: bug#1123501, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jan 2026 23:35:56 +0100

meli (0.8.13+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update watch file: use Uversion-Mangle: auto
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Jan 2026 09:38:22 +0100

meli (0.8.12+dfsg-9) unstable; urgency=medium

  * add patch 1001_async-fn-stream
    to accept newer minor version of crate async-fn-stream;
    relax build-dependency for crate async-fn-stream

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Dec 2025 20:17:31 +0100

meli (0.8.12+dfsg-8) unstable; urgency=medium

  * add patch cherry-picked upstream
    to remove tz arg in gettimeofday;
    check all tests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 22:54:18 +0100

meli (0.8.12+dfsg-7) unstable; urgency=medium

  * build-depend on rustfmt

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 20:22:56 +0100

meli (0.8.12+dfsg-6) unstable; urgency=medium

  * skip test test_draft_hook_datewarn

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 16:00:32 +0100

meli (0.8.12+dfsg-5) unstable; urgency=medium

  * fix declare built-using: unicode-data;
    build-depend on dh-sequence-builtusing

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:43:32 +0100

meli (0.8.12+dfsg-4) unstable; urgency=medium

  * drop patch 2001_linkify,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate linkify
  * declare built-using: unicode-data
  * add patch cherry-picked upstream
    to use newer minor version of crate nix;
    tighten build-dependencies for crate nix;
    closes: bug#1116528, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:15:40 +0100

meli (0.8.12+dfsg-3) unstable; urgency=medium

  * add patch 1001_assert_cmd
    to accept newer revisions of crate assert_cmd,
    replacing patch 2001_assert_cmd
  * update DEP-3 patch headers
  * relax build-dependency for crate linkify
  * add patch 1001_notify
    to accept newer major versions of crate notify;
    bump build-dependency for crate notify;
    closes: bug#1115273, thanks to NoisyCoil
  * add patch cherry-picked upstream
    to use 127.0.0.1 in tests (not 0.0.0.0)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 22:15:36 +0200

meli (0.8.12+dfsg-2) unstable; urgency=medium

  * add patch 2004_no_jmap_server_test
    to skip by default a test requiring a locally running jmap server
  * update watch file: improve mangling of upstream version

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Aug 2025 16:20:08 +0200

meli (0.8.12+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on libstd-rust-dev
  * update watch file: use file format 5
  * update DEP-3 patch headers
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 15:47:22 +0200

meli (0.8.11+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2025 00:17:44 +0200

meli (0.8.10+dfsg-8) unstable; urgency=medium

  * check tests unoptimized on weak archs
  * stop relaxing optimizations for weak archs

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Apr 2025 05:29:09 +0200

meli (0.8.10+dfsg-7) unstable; urgency=medium

  * extend patch 2004 to patch out all upstream optimizations;
    flip around build flags
    to re-apply upstream most patched-out optimizations
    except on weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Apr 2025 21:51:18 +0200

meli (0.8.10+dfsg-6) unstable; urgency=medium

  * adjust build flags
    to reduce risk of out-of-memory build issues on weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Mar 2025 12:23:18 +0200

meli (0.8.10+dfsg-5) unstable; urgency=medium

  * add patch 2004
    to avoid hardcoding default options interfering with debhelper;
    closes: bug#1101077, thanks to Matthias Geiger
  * declare compliance with Debian Policy 4.7.2
   
  * add metadata about upstream project
  * update git-buildpackage config: improve usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 13:31:57 +0100

meli (0.8.10+dfsg-4) unstable; urgency=medium

  * fix author of patch 2001_imap-codec

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 12:59:03 +0100

meli (0.8.10+dfsg-3) unstable; urgency=medium

  * add patch 2001-imap-codec
    to use recent development snapshots of crate imap-codec;
    tighten build-dependency for crate imap-codec;
    closes: bug#1098847, thanks to Yue Gui
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 12:51:34 +0100

meli (0.8.10+dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to purge subprocess envs in tests;
    closes: bug#1091073,
    thanks to Lucas Nussbaum and Manos Pitsidianakis
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 01:37:20 +0100

meli (0.8.10+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release;
    closes: bug#1088756, #1089094, thanks to Matthias Geiger

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on package for crate rusty-fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Dec 2024 19:52:53 +0100

meli (0.8.9+dfsg-4) unstable; urgency=medium

  * enable feature jmap:
    + drop patch 2001_isahc
    + build-depend on packages for crates isahc url
    + extend long description
  * add patch 2003 to generate unicode tables during build;
    build-depend on unicode-data;
    avoid pregenerated data when repackaging upstream source

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Dec 2024 16:54:14 +0100

meli (0.8.9+dfsg-3) unstable; urgency=medium

  * drop workaround for missing crate sealed_test,
    potentially causing a test failure on arches armel armhf powerpc

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 10:39:08 +0100

meli (0.8.9+dfsg-2) unstable; urgency=medium

  * extend patch 2001_sealed_test to cover sqlite3 test
  * avoid checking tests in parallel,
    as workaround for missing crate sealed_test

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2024 12:44:25 +0100

meli (0.8.9+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: track releases (not git commits)
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 23:53:13 +0100

meli (0.8.8+20241126+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + accounts: suggest tips on mailbox_by_path error
    + fix reindex of previously indexed account with sqlite3 backend
    + fix some compilation errors with cfg feature attrs
    + fix crash on saving contact
    + update futures-util dep, remove stderrlog dep
    + remove obsolete "encoding" dependency
    + melib/gpgme bindings renewal

  [ Jonas Smedegaard ]
  * unfuzz patches
  * build-depend on packages for crate aho-corasick (not encoding stderrlog)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 11:53:32 +0100

meli (0.8.8+20241124+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + conf/terminal: fix serde of ProgressSpinnerSequence
    + terminal: fix Synchronized Output response parsed as input
    + melib/utils: fix test_fd_locks() on platforms without OFD support
    + meli/accounts: use Arc<str> for account name
    + melib: use Vec instead of SmallVec for search results
    + melib/collection:
      ensure mailbox exists when inserting new envelopes
    + meli/docs/meli.conf.examples.5: fix .Dt macro arguments
    + meli/docs: add meli.conf.examples to CLI and tests

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Nov 2024 03:39:14 +0100

meli (0.8.7+20241104+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + compose: fix add-attachment-file-picker
    + composer: add discard-draft command
    + shortcuts: add select_motion equivalent to select_entry
    + manage: parse `scroll_{left,right}` actions
    + imap: return all mailboxes, not just subscribed ones

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Nov 2024 16:57:19 +0100

meli (0.8.7+20241016+dfsg-2) unstable; urgency=medium

  * update and unfuzz patches
  * bump build-dependencies for crate nix;
    closes: bug#1085448, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Nov 2024 09:10:23 +0100

meli (0.8.7+20241016+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + avoid using AtomicU64

  [ Jonas Smedegaard ]
  * add bug URI in DEP-3 patch header

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2024 13:46:44 +0200

meli (0.8.7+20241007+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + Rename addressbook stuff to "contacts"
    + nntp: properly return all nntp mailboxes
    + contact-editor: remove empty space
    + Add support for signatures
    + Accept newer versions of base64 dependency;
      closes: bug#1084298, thanks to Santiago Vila

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * simplify rules to no longer avoid obsolete test
  * try re-enable dh_dwz, perhaps working nowadays
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 15:28:19 +0200

meli (0.8.7+20240922+dfsg-1) unstable; urgency=medium

   [ upstream ]
  * development snapshot
    highlights:
    + view: pass filtered body to Composer as reply text
    + pgp: perform gpgme's sign+encrypt manually

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Sep 2024 18:50:31 +0200

meli (0.8.7+20240921+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + melib/utils: add fnmatch(3) interface
    + make subscribed_mailboxes conf val optional
    + fix compilation for 32-bit architectures

  [ Jonas Smedegaard ]
  * build-depend on package for crate cfg-if
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2024 13:26:56 +0200

meli (0.8.7+20240920+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + nntp: misc. changes
    + add patch_retrieve module
    + pgp: use default sign/encrypt keys when no keys are selected;
      closes: bug#1081747, thanks to Matthias Geiger
    + view/filters: forward events on child filters
    + file: try trimming filename if ENAMETOOLONG
    + compose/pgp: add encrypt_for_self flag
    + gpgme: add always trust flag to encrypt op
    + view/envelope: trim headers values to 3 lines maximum
    + compose: make dialogs bigger in height

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2024 00:35:17 +0200

meli (0.8.7+20240912+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + logging: disable `tracing` from output
    + Add transpose shortcut and tests for text field
    + melib/maildr: add rename_regex config option
    + Add human-readable identifiers in temp draft files
    + Add a "move to Trash" shortcut
    + contacts/editor: Use FormButtonAction in form
    + Add vCard exports
    + listing: add customizable view divider like sidebar's
    + Add listing.thread_layout config flag
    + view: fix nested filter jobs never being completed
    + main.rs: always send a JobFinished event to all components
    + pager.rs: don't set self dirty after filter selector

  [ Jonas Smedegaard ]
  * extend patch 2002 to include gpgm3 soname;
    closes: bug#1081198, thanks to Matthias Geiger
  * drop patch 2003, obsoleted by upstream changes
  * unfuzz patches
  * build-depend on package for crate chrono

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 02:05:45 +0200

meli (0.8.7+20240903+dfsg-2) unstable; urgency=medium

  * enable feature dbus-notifications;
    build-depend on package for crate notify-rust
  * mention NNTP in long description

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2024 11:30:41 +0200

meli (0.8.7+20240903+dfsg-1) experimental; urgency=medium

  * initial release;
    closes: bug#1001084

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Sep 2024 19:02:04 +0200
